commit:     0ce3f26cbed484cd343991e29cf4bd24e5653b84
Author:     Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 25 20:01:07 2017 +0000
Commit:     Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Wed Jan 25 23:05:06 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ce3f26c

games-action/koth: remove deprecated games eclass

Also update to EAPI 6

Gentoo-Bug: https://bugs.gentoo.org/574082

Package-Manager: Portage-2.3.2, Repoman-2.3.1

 .../koth/files/koth-0.8.0-r1-gcc-3.4.patch         | 29 +++++++++++++++++
 games-action/koth/koth-0.8.0-r1.ebuild             | 37 ++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/games-action/koth/files/koth-0.8.0-r1-gcc-3.4.patch 
b/games-action/koth/files/koth-0.8.0-r1-gcc-3.4.patch
new file mode 100644
index 00000000..145f17d
--- /dev/null
+++ b/games-action/koth/files/koth-0.8.0-r1-gcc-3.4.patch
@@ -0,0 +1,29 @@
+--- a/src/relay.c      2004-11-01 09:19:04.835537536 +0000
++++ b/src/relay.c      2004-11-01 09:19:59.453234384 +0000
+@@ -260,6 +260,7 @@
+                   else goto bail;
+                   goto nextpkt;
+               bail:
++                  ;
+               }
+           }   
+       }
+--- a/src/ballistics.c 2004-11-01 09:19:33.132235784 +0000
++++ b/src/ballistics.c 2004-11-01 09:20:16.849589736 +0000
+@@ -92,6 +92,7 @@
+           break;
+       case WALL_LAST:
+           /* just to satisfy gcc -Wall */
++          ;
+     }
+ }
+ 
+@@ -210,7 +211,7 @@
+               break;
+           case WALL_RANDOM:   /* both of this can't happen, */
+           case WALL_LAST:     /* so they are here to satisfy gcc -Wall */
+-
++              ;
+       }
+     }
+     return FLYING;

diff --git a/games-action/koth/koth-0.8.0-r1.ebuild 
b/games-action/koth/koth-0.8.0-r1.ebuild
new file mode 100644
index 00000000..1ecd25a
--- /dev/null
+++ b/games-action/koth/koth-0.8.0-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils flag-o-matic
+
+DESCRIPTION="Multiplayer, networked game of little tanks with really big 
weapons"
+HOMEPAGE="http://www.nongnu.org/koth/";
+SRC_URI="https://savannah.nongnu.org/download/${PN}/default.pkg/${PV}/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND="media-libs/libggi"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+       "${FILESDIR}"/${PF}-gcc-3.4.patch
+)
+
+src_prepare() {
+       default
+       sed -i 's:-g -O2::' configure || die
+       sed -i 's:(uint16):(uint16_t):' src/gfx.c src/gfx.h || die
+       append-cflags -std=gnu89 # build with gcc5 (bug #570730)
+}
+
+src_install() {
+       DOCS="AUTHORS ChangeLog NEWS README doc/*.txt" \
+               default
+       dodir /etc/koth
+       insinto /etc/koth
+       doins src/koth.cfg
+}

Reply via email to